<?php
		
$pl = $this->bean->getPositionList();
$this->ss->assign('POSITION_LIST', $pl);

$pl2 = $this->bean->getPositionList2();
$this->ss->assign('POSITION_LIST2', $pl2);

$pl3 = $this->bean->getPositionList3();
$this->ss->assign('POSITION_LIST3', $pl3);

$pl4 = $this->bean->getPositionList4();
$this->ss->assign('POSITION_LIST4', $pl4);

$ws = $this->bean->getWebSitesList();
$this->ss->assign('WEBSITES_LIST', $ws);

$ws2 = $this->bean->getTelephonesList();
$this->ss->assign('TELEPHONES_LIST', $ws2);
//$this->ss->assign('WEBSITES_LIST', 'Websites.tpl');

global $mod_strings;
$json = getJSONobj();
			
//opt
$file = 'modules/EcmGroupSales/EcmGroupSale.php';
if(file_exists($file)) {
	$cc = array();
	require_once($file);
	$cc = EcmGroupSale::loadSettings();	
}

$OPT = array();
$OPT['row_item_height'] = $cc['row_item_height'];
$OPT['row_item_height_selected'] = $cc['row_item_height_selected'];
$OPT['rows_on_item_list'] = $cc['rows_on_item_list'];
$OPT['position_table_height'] = $OPT['row_item_height']*$OPT['rows_on_item_list']+40+$OPT['rows_on_item_list']*4;
$OPT['quick_product_item_adding'] = $cc['quick_product_item_adding'];


if ($_REQUEST['IamPopup']) 
	$OPT['IamPopup'] = '1';

	global $current_user;

  $tmp = $current_user->getPreference('num_grp_sep');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_number_grouping_seperator'];
  $OPT['sep_1000'] = $tmp;

  $tmp = $current_user->getPreference('dec_sep');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_decimal_seperator'];
  $OPT['dec_sep'] = $tmp;

  $tmp = $current_user->getPreference('default_currency_significant_digits');
  if(!isset($tmp) || $tmp == '' || $tmp == NULL) $tmp = $sugar_config['default_currency_significant_digits'];
  $OPT['dec_len'] = $tmp;
  
echo '
<script language="javascript">
	var OPT = '.str_replace('&quot;','\"',$json->encode($OPT)).';
    var MOD = '.str_replace('&quot;','\"',$json->encode($mod_strings)).';

</script>';

require_once('modules/EcmSysInfos/EcmSysInfo.php');
$EcmSysInfo = new EcmSysInfo();
$lista = $EcmSysInfo->getBankAccoutnsList();
$bacc = '<select id="bankaccounts" onchange="$(\'#invoice_bank_account\').val(this.value)">';
foreach ($lista as $ba) {
	$bacc.='<option value="'.$ba.'"';
	if ($ba == $this->bean->invoice_bank_account) $bacc.=' selected ';
	$bacc.=' >'.$ba.'</option>';
}
$bacc.='<input type="hidden" id="invoice_bank_account" name="invoice_bank_account" value="'.$this->bean->invoice_bank_account.'"/>';
$this->ss->assign('BANKACCOUNTS', $bacc);

global $app_strings;
$this->ss->assign('LBL_SAVE', $app_strings['LBL_SAVE_BUTTON_LABEL']);

//loading view
echo '<link rel="stylesheet" type="text/css" href="modules/EcmInvoiceOuts/javascript/helper.css" media="screen" /><div class="loading_panel"></div>';
